#pragma once
#include "paging.h"
#include "stdarg.h"

struct slabEntry {
        vaddr_t page;
        void *freeEl;
        char full;
        struct slabEntry *next;
        struct slabEntry *prev;
};

struct slabDesc {
        struct slabEntry slab;
        size_t size;
        struct slabDesc *next;
        struct slabDesc *prev;
};
int allocInit(void);
int allocBookSlab(size_t size, int selfContained);

void *malloc(size_t size);
void free(void* ptr);
